# Chopper

<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-5-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->
[![pub package](https://img.shields.io/pub/v/chopper.svg)](https://pub.dartlang.org/packages/chopper)
[![Dart CI](https://github.com/lejard-h/chopper/workflows/Dart%20CI/badge.svg)](https://github.com/lejard-h/chopper/actions?query=workflow%3A%22Dart+CI%22)
[![codecov](https://codecov.io/gh/lejard-h/chopper/branch/master/graph/badge.svg)](https://codecov.io/gh/lejard-h/chopper)

[<img src="https://raw.githubusercontent.com/lejard-h/chopper/develop/flutter_favorite.png" width="100" />](https://flutter.dev/docs/development/packages-and-plugins/favorites)

Chopper is an http client generator for Dart and Flutter using source_gen and inspired by Retrofit.

[Documentation](https://hadrien-lejard.gitbook.io/chopper)

## Installation

Please refer to the installation guide at [pub.dev](https://pub.dev/packages/chopper/install) or in the [Getting started](getting-started.md) document.

* [Requests](requests.md)
* [Converters](converters/converters.md)
* [Interceptors](interceptors.md)

## Examples

* [json serializable Converter](https://github.com/lejard-h/chopper/blob/master/example/bin/main_json_serializable.dart)
* [built value Converter](https://github.com/lejard-h/chopper/blob/master/example/bin/main_built_value.dart)

## [Issue Tracker](https://github.com/lejard-h/chopper/issues)

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://github.com/lejard-h"><img src="https://avatars.githubusercontent.com/u/7336262?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Hadrien Lejard</b></sub></a><br /><a href="https://github.com/lejard-h/chopper/commits?author=lejard-h" title="Code">💻</a> <a href="https://github.com/lejard-h/chopper/pulls?q=is%3Apr+reviewed-by%3Alejard-h" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/lejard-h/chopper/commits?author=lejard-h" title="Tests">⚠️</a> <a href="https://github.com/lejard-h/chopper/commits?author=lejard-h" title="Documentation">📖</a></td>
    <td align="center"><a href="https://github.com/stewemetal"><img src="https://avatars.githubusercontent.com/u/5860632?v=4?s=100" width="100px;" alt=""/><br /><sub><b>István Juhos</b></sub></a><br /><a href="https://github.com/lejard-h/chopper/commits?author=stewemetal" title="Code">💻</a> <a href="https://github.com/lejard-h/chopper/pulls?q=is%3Apr+reviewed-by%3Astewemetal" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/lejard-h/chopper/commits?author=stewemetal" title="Tests">⚠️</a> <a href="https://github.com/lejard-h/chopper/commits?author=stewemetal" title="Documentation">📖</a></td>
    <td align="center"><a href="https://www.upwork.com/freelancers/~01192eefd8a1c267f7"><img src="https://avatars.githubusercontent.com/u/231950?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Ivan Terekhin</b></sub></a><br /><a href="https://github.com/lejard-h/chopper/commits?author=JEuler" title="Code">💻</a> <a href="https://github.com/lejard-h/chopper/pulls?q=is%3Apr+reviewed-by%3AJEuler" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/lejard-h/chopper/commits?author=JEuler" title="Tests">⚠️</a> <a href="https://github.com/lejard-h/chopper/commits?author=JEuler" title="Documentation">📖</a></td>
    <td align="center"><a href="http://ysampir@gmail.com"><img src="https://avatars.githubusercontent.com/u/3999503?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Eugeny Sampir</b></sub></a><br /><a href="https://github.com/lejard-h/chopper/commits?author=fryette" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/Vovanella95"><img src="https://avatars.githubusercontent.com/u/11267533?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Uladzimir_Paliukhovich</b></sub></a><br /><a href="https://github.com/lejard-h/chopper/commits?author=Vovanella95" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!